Skip to main content
POST
/
transactions
/
filter
Filter transactions
curl --request POST \
  --url https://api.pcxpay.com/v1/transactions/filter \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "country": "<string>",
  "currency": "<string>",
  "payment_method": "bank_transfer",
  "status": "initiated",
  "user_id": "<string>",
  "org_id": "<string>",
  "date_from": "2023-11-07T05:31:56Z",
  "date_to": "2023-11-07T05:31:56Z",
  "limit": 10,
  "last_evaluated_key": "<string>"
}
'
{
  "status": "success",
  "message": "<string>",
  "data": [
    {
      "transaction_id": "<string>",
      "user_id": "<string>",
      "beneficiary_id": "<string>",
      "amount": 123,
      "currency": "<string>",
      "type": "inbound",
      "status": "initiated",
      "payment_method": "bank_transfer",
      "payment_id": "<string>",
      "payout_id": "<string>",
      "org_id": "<string>",
      "country": "<string>",
      "entity_type": "<string>",
      "target_amount": 123,
      "target_currency": "<string>",
      "metadata": {},
      "beneficiary_details": {},
      "compound_amount": 123,
      "duration": 123,
      "installment_amount": 123,
      "total_installments": 123,
      "installments_completed": 123,
      "amount_paid": 123,
      "outstanding_balance": 123,
      "next_due_date": "2023-11-07T05:31:56Z",
      "start_date": "2023-11-07T05:31:56Z",
      "frequency": "weekly",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "last_evaluated_key": "<string>",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
country
string | null
currency
string | null
payment_method
enum<string> | null
Available options:
bank_transfer,
mobile_money,
crypto,
card
status
enum<string> | null
Available options:
initiated,
pending,
completed,
failed
user_id
string | null
org_id
string | null
date_from
string<date-time> | null
date_to
string<date-time> | null
limit
integer
default:10
last_evaluated_key
string | null

Timestamp string cursor from a previous filter response.

Response

Filtered transaction results

status
string
Example:

"success"

message
string
data
object[]
pagination
object